> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Begin processing case

> Begins the processing of screenings for a case.

This endpoint must be called when the onboarding of a case is complete, unless you are:

- Sending invitation emails to the candidate so they can onboard.
- Using the customer-provided PII flow to [create the case](paths/~1case~1create/post).

In these instances, the case will begin processing as soon as the candidate information has been provided.



## OpenAPI

````yaml /background-check-api/api-reference/openapi.json put /case/id/{caseId}/action/beginprocessing
openapi: 3.1.0
info:
  title: KarmaCheck API
  description: >-
    All requests to the KarmaCheck API require a JSON Web Token (JWT) in the
    Authorization header. For an overview of the API and its authentication
    method, refer to the following topics:


    - [API basics](docs/overview/apis/api-overview.md)

    - [Authentication](docs/overview/apis/authentication.md)

    - [Environments](docs/overview/apis/environments.md)

    - [Status codes and errors](docs/overview/apis/errors.md)
  version: '1.0'
  contact:
    name: KarmaCheck
    email: customersuccess@karmacheck.com
servers:
  - description: Stage
    url: https://api-stage.karmacheck.io
  - description: Prod
    url: https://api.karmacheck.io
security:
  - JWT: []
tags:
  - name: Authentication
  - name: Cases
  - name: Candidate onboarding
  - name: Secure documents
  - name: Packages
  - name: Services
  - name: Users
  - name: Companies
  - name: Partner integrations
paths:
  /case/id/{caseId}/action/beginprocessing:
    parameters:
      - schema:
          type: string
        name: caseId
        in: path
        description: The ID of the case to begin processing.
        required: true
    put:
      tags:
        - Cases
      summary: Begin processing case
      description: >-
        Begins the processing of screenings for a case.


        This endpoint must be called when the onboarding of a case is complete,
        unless you are:


        - Sending invitation emails to the candidate so they can onboard.

        - Using the customer-provided PII flow to [create the
        case](paths/~1case~1create/post).


        In these instances, the case will begin processing as soon as the
        candidate information has been provided.
      operationId: put-case-id-caseId-action-beginprocessing
      parameters: []
      responses:
        '200':
          description: OK
        '403':
          description: >-
            This response indicates a missing or invalid authentication token,
            or no access to the case.
        '422':
          description: >-
            This response means that the case is not ready to begin processing
            (for example, if a required testimony such as date of birth is
            missing), or that the case has already begun processing.
        '500':
          description: Internal Server Error
components:
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````